import $ from 'jquery'
import init from '../init'
import Util from '../TestUtil'

describe('SaveItem组件', () => {
  let vm = null
  before(()=> {
    init()
    vm = Util.createTest('save-item', {})
  })

  after(function () {
    Util.destroyVM(vm)
  })

  it('SaveItem组件能够正确显示', () => {
    expect($(vm.$el).html()).to.contain('保存')
  })
  it('提交', () => {
    vm.model.f_itemname = '测试'
    vm.save()
  })
})
